Support » WooCommerce » [NSFW] Critical Error nach Update WooCommerce 8.2.1

  • Gelöst moosic

    (@moosic)


    Nach dem Update auf WooCommerce 8.2.1, sehe ich im Adminbereich unter Woocommerce > Status > Protokolle die folgende Fehlermeldung:

    2023-11-05T17:49:28+00:00 CRITICAL Uncaught Error: Class ‚WC_REST_Product_Shipping_Classes_V2_Controller‘ not found in /…/wp-content/plugins/woocommerce/includes/rest-api/Server.php:42
    Stack trace:
    0 /…/wp-includes/class-wp-hook.php(310): Automattic\WooCommerce\RestApi\Server->register_rest_routes()
    #1 /…/wp-includes/class-wp-hook.php(334): WP_Hook->apply_filters()
    #2 /…/wp-includes/plugin.php(517): WP_Hook->do_action()
    #3 /…/wp-includes/rest-api.php(587): do_action()
    #4 /…/wp-includes/rest-api.php(545): rest_get_server()
    #5 /…/wp-includes/rest-api.php(2912): rest_do_request()
    #6 [internal function]: rest_preload_api_request()
    #7 /…/wp-content/plugins/woocommerce/src/Internal/Admin/Settings.php(147): array_reduce()
    #8 /…/wp-includes/class-wp-hook.php(310): Automattic\WooCommerc in /…/wp-content/plugins/woocommerce/includes/rest-api/Server.php in Zeile 42

    Wenn ich über FTP bei den Plugins unter woocommerce > includes > rest-api > Controllers > Version2 nachschaue, dann gibt es dort eine Datei namens: class-wc-rest-product-shipping-classes-v2-controller.php und darin ist auch eine Klasse namens WC_REST_Product_Shipping_Classes_V2_Controller definiert.

    Die aktuelle WordPress-Version ist: 6.4.1

    Hat jemand vielleicht eine Idee dazu?

Ansicht von 6 Antworten - 1 bis 6 (von insgesamt 6)
  • Moderator Michi91

    (@michi91)

    Die Meldung ist vom 5.11, gab es da ahhh noch aktuellere Einträge?

    Thread-Starter moosic

    (@moosic)

    Hallo Michi91,
    ja, aber immer nur mit genau derselben oben dargestellten Fehlermeldung.

    Es scheint ja etwas mit der REST-API zu tun zu haben.

    • Diese Antwort wurde geändert vor 6 Monaten, 3 Wochen von moosic.
    • Diese Antwort wurde geändert vor 6 Monaten, 3 Wochen von moosic.
    Moderator Michi91

    (@michi91)

    Ich würde das WooCommerce mal neu installieren / erneut hochladen bzw. wenn du keine Einschränkungen hast auf nächste Update warten.
    Finde es allerdings auch verwirrend, dass es die Klasse offenbar gibt…

    Kannst du in dem Log (bzw. im Accesslog) auch sehen, welche URL zum Fehlerzeitpunkt aufgerufen wird? Vielleicht ist auch ein weiteres Plugin schuld, dass die REST-API erweitert, aber die Klassen falsch lädt..

    Thread-Starter moosic

    (@moosic)

    Puh, ja, das war’s tatsächlich. Ich habe Woocommerce noch einmal glöscht und neu hochgeladen. Da scheinen einfach ein paar Dateien in gefehlt zu haben.
    Die Fehlermeldung hat mich sehr in die Irre geführt.

    Vielen Dank für Deinen super Tipp!

    super – freut uns. Danke für die Rückmeldung und “Gelöst”-Markieren. 👍

    Denkst du bitte beim nächsten Mal daran, das Thema dann auch als gelöst zu markieren, wenn das Thema für dich erledigt ist. Danke.
    Gelöst
    Die Option findest du rechts in der Sidebar. Das habe ich jetzt schon gemacht.

    Thread-Starter moosic

    (@moosic)

    Hallo Hans Gerds,

    gerne. Ich hatte nach einem Credits-Button gesucht, aber keinen gefunden. Die Gelöst-Option habe ich übersehen. Beim nächsten Mal dann.

    Lieben Gruß

Ansicht von 6 Antworten - 1 bis 6 (von insgesamt 6)
  • Das Thema „[NSFW] Critical Error nach Update WooCommerce 8.2.1“ ist für neue Antworten geschlossen.